searchNodes=[{"doc":"A helper for running functions that might take too long, or use too much memory.Handler will run these functions in their own process and &quot;take care of&quot; problematic processes.","ref":"Handler.html","title":"Handler","type":"module"},{"doc":"Run a potentially problematic function in a safe way.Examplesiex&gt; Handler.run(fn -&gt; 1 + 1 end) 2 iex&gt; Handler.run(fn -&gt; :timer.sleep(200) end, max_ms: 10) {:error, %Handler.Timeout{message: &quot;Took more than 10ms to complete&quot;}} iex&gt; Handler.run(fn -&gt; Enum.map(1..10_000, &amp; &amp;1*100) end, max_heap_bytes: 4096) {:error, %Handler.OOM{message: &quot;Process tried to use more than 4096 bytes of memory&quot;}} iex&gt; Handler.run(fn -&gt; Process.exit(self(), :i_am_ded) end) {:error, %Handler.ProcessExit{message: &quot;Process exited with :i_am_ded&quot;, reason: :i_am_ded}}","ref":"Handler.html#run/2","title":"Handler.run/2","type":"function"},{"doc":"","ref":"Handler.OOM.html","title":"Handler.OOM","type":"exception"},{"doc":"","ref":"Handler.ProcessExit.html","title":"Handler.ProcessExit","type":"exception"},{"doc":"","ref":"Handler.Timeout.html","title":"Handler.Timeout","type":"exception"},{"doc":"HandlerGot a function that might get out of hand? Let the Handler run it in its own process and it will &quot;take care of&quot; the process if things get too wild.","ref":"readme.html","title":"Handler","type":"extras"},{"doc":"Handler.run(fn -&gt; 1 + 1 end) # =&gt; 2 Handler.run(fn -&gt; :timer.sleep(61_000) end) # =&gt; {:error, %Handler.Timeout{message: &quot;process ran for longer than 60000ms&quot;}} Handler.run(fn -&gt; load_tons_of_data_into_memory() end) # =&gt; {:error, %Handler.OOM{message: &quot;process tried to use more than 10485760 bytes of memory&quot;}} Handler.run(fn -&gt; Process.exit(self(), :i_am_ded) end) # =&gt; {:error, %Handler.ProcessExit{message: &quot;process exited with :i_am_ded&quot;}}By default Handler puts a limit of 60sec and 10MB of heap space on the function you are running. You can change these limits by passing the optional second argument.# Set 100MB heap limit and 2sec time limit Handler.run(fn -&gt; 1 + 1 end, max_heap_bytes: 100 * 1024 * 1024, max_ms: 2_000) # =&gt; 2","ref":"readme.html#usage","title":"Handler - Usage","type":"extras"}]